\name{gini}
\alias{gini}
\title{Gini impurity index for cart objects}
\description{A simple implementation of the Gini impurity index for
  classification and regression trees. Not meant to be called directly -
  included for demonstration purposes.
}
\usage{
gini(x, class, splitpoint)
}
\arguments{
  \item{x}{Numeric vector of length n.}
  \item{class}{Class labels, length n.}
  \item{splitpoint}{Tentative split point.}
}
\references{
  R. Wehrens. "Chemometrics with R - Multivariate Data Analysis in the
  Natural Sciences and Life Sciences". Springer, Heidelberg, 2011.
}
\value{The Gini impurity index, given a certain split point, a vector of
  possible splits, and a vector of class labels. Lower values indicate
  more pure leaves.}
\author{Ron Wehrens}
\keyword{manip}
